Cyberduck Mountain Duck CLI

#1945 closed defect (fixed)

Dragging into topmost folder

Reported by: henrrrik Owned by: dkocher
Priority: normal Milestone: 4.0
Component: interface Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

The drop target area for the first folder in the list is located below the folder's row (top third of the row below) if the list isn't long enough to trigger vertical scroll bars. Instead, the folder's row targets the current directory. If the list is long enough to cause vertical scroll bars to appear it works as expected.

I'm using build 3767.

Change History (10)

comment:1 Changed on Apr 16, 2008 at 8:27:41 PM by dkocher

  • Component changed from core to interface
  • Milestone changed from 3.0 to 3.1
  • Status changed from new to assigned

#1920 closed as duplicate.

comment:2 Changed on May 20, 2008 at 10:34:33 PM by anonymous

  • Version changed from 3.0b1 to 3.0.1

In Build 3999 the problem happens irregardless of whether or not the scrollbars are trigged. The drop area for the first list item is always in the top third or so of the item below it and requires careful positioning to drop items into that folder.

comment:3 Changed on Jul 9, 2008 at 8:24:26 PM by anonymous

This problem only seems to occur when 'Use spring-loaded folders when dragging files' is NOT switched on. Still very annoying though! Using version 3.0.1 (3999). Haven't tested any other versions.

comment:4 Changed on Jul 17, 2008 at 10:38:48 PM by dkocher

  • Milestone 3.0.2 deleted

comment:5 Changed on Jul 31, 2008 at 4:42:51 PM by dkocher

  • Milestone set to 3.1

#2368 closed as duplicate.

comment:6 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:7 Changed on Nov 3, 2009 at 8:51:32 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

I can no longer reproduce this in the latest nightly build.

comment:8 Changed on Nov 3, 2009 at 8:51:39 PM by dkocher

  • Milestone changed from 3.5 to 3.3

comment:9 Changed on Sep 15, 2010 at 9:19:34 PM by dkocher

  • Milestone 3.3 deleted
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from Dragging into folder at top of list doesn't work properly to Dragging into topmost folder

#5090 closed as duplicate

comment:10 Changed on Dec 8, 2010 at 1:46:44 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r7974.

Note: See TracTickets for help on using tickets.
swiss made software